%global shortname gossip

Name:             sonatype-gossip
Version:          1.7
Release:          9%{?dist}
Summary:          SLF4j Gossip Provider
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://github.com/jdillon/gossip

# git clone git://github.com/jdillon/gossip.git
# cd gossip/ && git checkout gossip-1.7
# git archive --format=tar --prefix=gossip-1.7/ gossip-1.7 | xz > gossip-1.7.tar.xz
Source0:          %{shortname}-%{version}.tar.xz
Patch0:           %{shortname}-%{version}-use-java5-modello.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-license-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    slf4j
BuildRequires:    modello
BuildRequires:    jansi
BuildRequires:    fusesource-pom

Requires:         java
Requires:         jpackage-utils
Requires:         slf4j

%description
Gossip is a plugin for SLF4j which has simple and flexible configuration.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1

%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for sub in bootstrap bootstrap-slf4j support core slf4j extra; do
  # JAR
  cp -p %{shortname}-${sub}/target/%{shortname}-${sub}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-${sub}.jar

  # POM
  install -pm 644 %{shortname}-${sub}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-${sub}.pom

  # DEPMAP
  %add_maven_depmap JPP.%{name}-%{name}-${sub}.pom %{name}/%{name}-${sub}.jar
done

# Parent POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
# Parent DEPMAP
%add_maven_depmap JPP.%{name}-%{name}.pom

# JAVADOC
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc README.md header.txt

%files javadoc
%{_javadocdir}/%{name}
%doc header.txt

%changelog
* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-9
- Remove unneeded animal-sniffer dependency

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.7-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 22 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-3
- Changed name to sonatype-gossip

* Mon Sep 19 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-2
- Spec file cleanup

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-1
- Initial packaging

